Bug 168991 - dmidecode memory fault on TYAN CK804 with 2 2.4Ghz AMD Opteron 250 processors
dmidecode memory fault on TYAN CK804 with 2 2.4Ghz AMD Opteron 250 processors
Status: CLOSED DUPLICATE of bug 158990
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel-utils (Show other bugs)
3.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-21 16:55 EDT by Linda Wang
Modified: 2015-01-04 17:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-03 11:52:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Linda Wang 2005-09-21 16:55:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050512 Red Hat/1.0.4-1.4.1 Firefox/1.0.4

Description of problem:
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.4) Gecko/20050318 Red Hat/1.4.4-1.3.5

Description of problem:
When we run 'dmidecode' on a Celestica Model A2210 Dual Opteron Server
(x86_64) with the latest:

    kernel-utils-2.4-8.37.12.x86_64.rpm

version, we get a "Memory fault", and the output from dmidecode is
not complete.

We are running the following RHEL 3.0 U4 kernel:

> uname -a
  Linux opteron2 2.4.21-27.0.4.ELsmp #1 SMP
  Sat Apr 16 18:53:14 EDT 2005 x86_64 x86_64 x86_64 GNU/Linux

------------------------------------------------------------------
Side note:

  We noticed the https://rhn.redhat.com/errata/RHBA-2005-228.html
  errata posting and then pulled in this corresponding
  kernel-utils-2.4-8.37.12.x86_64.rpm.

  The previous version that we were using, kernel-utils-2.4-8.37.7,
  would oops the system with a corrupted page table:

     dmidecode: Corrupted page table at address 2a9556d001
     PML4 7c2ba067 PGD 7c2c9067 PMD 7bdc3067 PTE ffffffffaff7b025
     Bad pagetable: 000d [1] PREEMPT SMP
----------------------------------------------------------------------

Additional info:

We downloaded dmidecode versions 2.2, 2.3, 2.4, 2.5 and 2.6
from http://www.nongnu.org/dmidecode/ and ran each version.

While version 2.2 also will oops the system with the Corrupted page table
problem, all other versions (2.3 through 2.6) function properly on this
Celestica system (ignoring some CPU changes/fixes to the output between
dmidecode versions 2.3 and 2.4).

----------------------------------------------------------------------

The kernel-utils 8.37.12 dmidecode version "Memory fault" seems to occur
when it is attempting to output:

Handle 0x000C
        DMI type 11, 5 bytes.
        OEM Strings
                String 1: 0
                String 2: 0
                String 3: .........................

And instead, we only see:

Handle 0x000C
        DMI type 11, 5 bytes.
        OEM Strings
                String 1: 0
                String 2: 0
Memory fault


I am attaching the complete output from a dmidecode version 2.6
run, and the partial output of the dmidecode version that is in
kernel-utils-2.4-8.37.12.x86_64.rpm.




Version-Release number of selected component (if applicable):
kernel-utils-2.4-8.37.12.x86_64.rpm

How reproducible:
Always

Steps to Reproduce:
1.just run 'dmidecode'
2.
3.
  

Additional info:


Comment #1 From john.blackwood@ccur.com (john.blackwood@ccur.com) 	on 2005-05-27 10:59 EST 	[reply] 	Private

Created an attachment (id=114914) [edit]
dmidecode v2.6 complete output


Comment #2 From john.blackwood@ccur.com (john.blackwood@ccur.com) 	on 2005-05-27 11:01 EST 	[reply] 	Private

Created an attachment (id=114915) [edit]
partial output from dmidecode - rpm version 8.37.12 x86_64


Comment #3 From john.blackwood@ccur.com (john.blackwood@ccur.com) 	on 2005-05-27 13:45 EST 	[reply] 	Private

I'm afraid that I completely botched up the system name in the initial creation
of this bugzilla.

Instead of "Celestica Model A2210", I should have said:

  TYAN CK804 with 2 2.4Ghz AMD Opteron 250 processors

as the output from dmidecode shows.

Sorry for my confusion.



Version-Release number of selected component (if applicable):
kernel-utils-2.4-13.1.48

How reproducible:
Always

Steps to Reproduce:
1.boot the kernel
2.install the rpm
3.
  

Additional info:

Note You need to log in before you can comment on or make changes to this bug.